## org.eclipse.m2m.qvt.oml.debug.core.launch
Class QVTOApplicationConfiguration

    java.lang.Object
      EclipseApplicationLaunchConfiguration
          org.eclipse.m2m.qvt.oml.debug.core.launch.QVTOApplicationConfiguration

    public class QVTOApplicationConfiguration

extends EclipseApplicationLaunchConfiguration

Constructor Summary
`QVTOApplicationConfiguration()`

Method Summary
`java.lang.String[]` `getProgramArguments(ILaunchConfiguration configuration)`
`void` `launch(ILaunchConfiguration configuration, java.lang.String mode, ILaunch launch, IProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTOApplicationConfiguration

    public QVTOApplicationConfiguration()

Method Detail

### getProgramArguments

    public java.lang.String[] getProgramArguments(ILaunchConfiguration configuration)
                                           throws CoreException

  Throws:
    `CoreException`

### launch

    public void launch(ILaunchConfiguration configuration,
                       java.lang.String mode,
                       ILaunch launch,
                       IProgressMonitor monitor)
                throws CoreException

  Throws:
    `CoreException`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.